## preview.app 0.8.5

=== debian/changelog ===
preview.app (0.8.5-11build5) mantic; urgency=medium

  * Rebuild against libgnustep-base1.29.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 18 Jun 2023 11:49:22 +0200

preview.app (0.8.5-11build4) jammy; urgency=medium

  * No-change rebuild against libgnustep-base1.28

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Jan 2022 12:07:14 +0000

preview.app (0.8.5-11build3) groovy; urgency=medium

  * Rebuild against new gnustep 1.27.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jun 2020 13:42:44 +0200

preview.app (0.8.5-11build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:54:35 +0100

preview.app (0.8.5-11build1) disco; urgency=medium

  * No-change rebuild for gnustep soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Jan 2019 19:51:29 +0000

preview.app (0.8.5-11) unstable; urgency=medium

  * Team upload.
  * Bump debhelper version to 11.
  * Bump standards version to 4.2.1.
  * debian/menu: dropped.
  * Updated Vcs links.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 12 Sep 2018 08:21:46 +0200

preview.app (0.8.5-10) unstable; urgency=low

  * 728319.patch by Yavor Doganov <yavor@gnu.org> (Closes: #728319)
  * debian/control: bumped Standards-Version: 3.9.5
  * debian/copyright: date modified

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Sun, 22 Jun 2014 11:18:06 +0200

preview.app (0.8.5-9) unstable; urgency=low

  * gcc-4.7.patch by Yavor Doganov <yavor@gnu.org> (Closes: #667875)
  * debian/control:
    + bumped Standards-Version: 3.9.3
    + Added Debian GNUstep maintainers as uploaders
    + Added Vcs-Git and Vcs-Browser fields
  * debian/rules: added "-z relro" to LDFLAGS to prevent hardening-no-relro

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Sun, 24 Jun 2012 12:28:06 +0200

preview.app (0.8.5-8) unstable; urgency=low

  * Added debian/patches/compilation-errors.patch: Fix FTBFS with
    gnustep-gui/0.18.0 (Closes: #581970)
  * debian/rules: noopt modifications to work with
    gnustep-make/2.4.x (Closes: #581971)
  * debian/control: bumped Standards-Version: 3.8.4 (no changes needed)

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Tue, 18 May 2010 18:56:43 +0200

preview.app (0.8.5-7) unstable; urgency=low

  * Corrected preinst script to comply with the directory layout
    set by the new version of gnustep-make (Closes: #562812)
  * debian/control: added dependency on ${misc:Depends}

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Mon, 28 Dec 2009 08:56:43 +0100

preview.app (0.8.5-6) unstable; urgency=low

  * New maintainer (closes: #454450)
  * Added debian/source/format for 3.0 (quilt) new source format
  * Added debian/watch file
  * Added debian/preview.app.preinst with code to install Resource files 
    under /usr/share/GNUstep and create a symbolic link from 
    /usr/lib/GNUstep/Applications/Preview.app on install or upgrade
    (adapted from gnumail.app, thanks Yavor Doganov <yavor@gnu.org>)
  * debian/compat: updated compat version to 5
  * debian/control:
    + Modified Section from 'graphics' to 'gnustep'
    + Bumped Standars-Version to 3.8.3
    + Modified debhelper version on Build-Depends field (4->5)
    + Corrected typo at Description field
    + Removed version dependency on libgnustep-gui-dev
      (0.14 is in Lenny) and gnustep-make entirely (pulled in by the
      dependency chain, thanks Yavor)
    + Added ${gnustep:Depends} to Depends field (thanks Yavor)
    + Added dependency on imagemagic to generate xpm icon
  * debian/copyright:
    + Modified link to GPL-2 license
    + Added maintainer information
  * debian/rules:
    + Moved install-related commands from the binary-indep to the install
      target
    + Exported GNUSTEP_MAKEFILES and replaced gs_make by $(MAKE) (thanks Yavor)
    + Added code to define flags for optimized builds, preventing a GNUstep 
      make bug and build. Added also 'messages=yes' to the $(MAKE) invocation to 
      make the build log verbose (thanks Yavor)
    + Added gsdh_gnustep to the binary_arch target, this will prevent the 
      installation on systems that have Debian GNUstep packages configured not 
      to follow the FHS (thanks Yavor)
    + Added LDFLAGS definition to get rid of the dpkg-shlibdeps warnings 
      (thanks Yavor)
    + Added code to remove empty directories
    + Added code to move the Resources directory to /usr/share/GNUstep
      and add a symlynk if the installation follows the FHS (adapted from 
      agenda.app, thanks Yavor)
    + Added code to install the xpm icon (adapted from agenda.app, thanks Yavor)
  * debian/dirs: removed /usr/share/lintian/overrides  
  * debian/Preview.desktop: upgraded Version field (0.94->1.0, the version of 
    the spec) and removed the MimeType field because Preview.app doesn't support 
    command-line options (thanks Yavor)
  * debian/menu: declared xpm icon to use (thanks Yavor)

 -- Federico Gimenez Nieto <fgimenez@coit.es>  Sat, 28 Nov 2009 11:22:43 +0100

preview.app (0.8.5-5) unstable; urgency=low

  * Orphaning package, setting maintainer to the Debian QA Group.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 07 Dec 2007 02:58:19 +0100

preview.app (0.8.5-4) unstable; urgency=low

  * Applied patch to fix french localization, merci Bourgoin Camille.
    (Closes: #417260)
  * Remove leftover from debian/dirs.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 31 Oct 2007 22:36:51 +0100

preview.app (0.8.5-3) unstable; urgency=low

  * GNUstep transition.
    + Updated debian/rules.
    + Updated debian/dirs.
  * Added a desktop file.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 24 Oct 2007 10:34:53 +0200

preview.app (0.8.5-2) unstable; urgency=low

  * Rebuild against latest libgnustep-gui-dev.
  * Bump standards version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 20 Sep 2006 22:15:07 +0200

preview.app (0.8.5-1) unstable; urgency=low

  * New upstream version.

