=== debian/control ===
Source: preview.app
Section: gnustep
Priority: optional
Maintainer: Federico Gimenez Nieto <fgimenez@coit.es>
Uploaders: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 11), libgnustep-gui-dev, imagemagick
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/gnustep-team/preview.app.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/preview.app
Homepage: http://home.gna.org/gsimageapps/

Package: preview.app
Architecture: any
Depends: ${shlibs:Depends}, ${gnustep:Depends}, ${misc:Depends}
Description: General purpose image viewer for GNUstep
 Preview is an application that can be used to display images. It is
 designed to be easy to use and will support all GNUstep features (images
 design support, pasteboard/services, printing and layout...). It tries to
 follow the NeXTSTEP spirit.
