=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/GNUstep/debian/config.mk
GNUSTEP_MAKEFILES=$(GS_MAKE_DIR)
export GNUSTEP_MAKEFILES := $(GS_MAKE_DIR)

d_app := $(CURDIR)/debian/preview.app

#defined LDFLAGS to prevent dpkg-shlibdeps warnings
LDFLAGS := -z relro -Wl,-z,defs -Wl,--as-needed

#define optim to build optimized package (thanks Yavor Doganov)
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
optim := debug=yes
endif

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) $(optim) LDFLAGS="$(LDFLAGS)" messages=yes
	convert Images/Preview.tiff -resize 32x32 Preview.xpm
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(RM) -f build-stamp
	$(MAKE) distclean
	$(RM) Preview.xpm
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	$(MAKE) install GNUSTEP_INSTALLATION_DOMAIN=SYSTEM DESTDIR=$(CURDIR)/debian/preview.app
	dh_install debian/*.desktop usr/share/applications/
	rm $(CURDIR)/debian/*.app/usr/lib/GNUstep/Applications/*.app/Resources/*.desktop

	#move resources to /usr/share/GNUstep and add a symlink if the installation is following the FHS
ifeq ($(GS_USE_FHS),yes)
	dh_installdirs usr/share/GNUstep
	mv $(d_app)$(GNUSTEP_SYSTEM_APPS)/Preview.app/Resources \
	  $(d_app)/usr/share/GNUstep/Preview.app
	dh_link usr/share/GNUstep/Preview.app \
	  $(GNUSTEP_SYSTEM_APPS)/Preview.app/Resources
endif
	# Install the XPM icon.
	install -D -m 644 Preview.xpm \
	  $(d_app)/usr/share/pixmaps/Preview.xpm
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman
	dh_installdeb
	#remove empty directories
	find debian/preview.app -type d -empty -delete

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_strip
	dh_compress
	dh_fixperms
	gsdh_gnustep
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
